org.springframework.web.socket.config.annotation

## Interface StompWebSocketEndpointRegistration

All Known Implementing Classes:
  WebMvcStompWebSocketEndpointRegistration

    public interface StompWebSocketEndpointRegistration

A contract for configuring a STOMP over WebSocket endpoint.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`StompWebSocketEndpointRegistration` `addInterceptors(HandshakeInterceptor... interceptors)` Configure the HandshakeInterceptor's to use.
`StompWebSocketEndpointRegistration` `setAllowedOrigins(String... origins)` Configure allowed `Origin` header values.
`StompWebSocketEndpointRegistration` `setHandshakeHandler(HandshakeHandler handshakeHandler)` Configure the HandshakeHandler to use.
`SockJsServiceRegistration` `withSockJS()` Enable SockJS fallback options.

### Method Detail

#### withSockJS

    SockJsServiceRegistration withSockJS()

Enable SockJS fallback options.

#### setHandshakeHandler

    StompWebSocketEndpointRegistration setHandshakeHandler(HandshakeHandler handshakeHandler)

Configure the HandshakeHandler to use.

#### addInterceptors

    StompWebSocketEndpointRegistration addInterceptors(HandshakeInterceptor... interceptors)

Configure the HandshakeInterceptor's to use.

#### setAllowedOrigins

    StompWebSocketEndpointRegistration setAllowedOrigins(String... origins)

Configure allowed `Origin` header values. This check is mostly designed for browser clients. There is nothing preventing other types of client to modify the `Origin` header value.

When SockJS is enabled and origins are restricted, transport types that do not allow to check request origin (Iframe based transports) are disabled. As a consequence, IE 6 to 9 are not supported when origins are restricted.

Each provided allowed origin must start by "http://", "https://" or be "*" (means that all origins are allowed). By default, only same origin requests are allowed (empty list).

Since:
  4.1.2
See Also:
  RFC 6454: The Web Origin Concept, SockJS supported transports by browser